Bug Hunting Session
Bug 60486 - V 1.0.0: sdremote: auto-enabling of bluetooth doesn't work ...
Summary: V 1.0.0: sdremote: auto-enabling of bluetooth doesn't work ...
Status: RESOLVED FIXED
Alias: None
Product: Impress Remote
Classification: Unclassified
Component: Android app (show other bugs)
Version:
(earliest affected)
1.0.0
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-08 11:05 UTC by Michael Meeks
Modified: 2015-04-07 14:15 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2013-02-08 11:05:15 UTC
The remote will connect -iff- bluetooth is enabled before you start looking for servers.

However - if you don't have bluetooth enabled - you can see from the status bar that the app is -trying- to enable bluetooth, which it does silently - but it gives no feedback on that, and it 100% refuses to find anything having done it [ is there some improved polling / re-scanning stuff required there ? ]. Worse  exiting seems to stop bluetooth again such that even a second start doesn't find the remote machine.

Either way this makes the user-experiences un-necessarily confusing / painful - we should (presumably) either re-scan when bluetooth is enabled - or refuse to start unless bluetooth is manually enabled (?).
Comment 1 Rob Snelders 2013-03-22 14:20:12 UTC
moved to the correct module
Comment 2 Rainer Bielefeld Retired 2013-04-04 11:13:21 UTC
Automated Message: Own Impress Remote Versions will be removed from Bugzilla. 
For new AIR bugs please use "(See in Summary)"
<https://wiki.documentfoundation.org/BugReport_Details#Version_Picker:_Particular_Versions>
Comment 3 Commit Notification 2013-12-10 20:04:02 UTC
Andrzej Hunt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3cc31f89787e435c893b38a0adc0a23f566ab60f

fdo#60486 Fix auto-enabling bluetooth and improve bluetooth handling.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-01-16 15:43:59 UTC
Andrzej Hunt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=17e7bc358faab29ddb524d478f6b5ca2fed1a5f8

Revert "fdo#60486 Fix auto-enabling bluetooth and improve bluetooth handling."



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Robinson Tryon (qubit) 2015-02-13 19:37:16 UTC
Moving bug to (new) 'Impress Remote' product.
Comment 6 Robinson Tryon (qubit) 2015-02-13 19:38:27 UTC
Michael: Are we fixed here?  (I see a patch, but status is still 'NEW')
Comment 7 Christian Lohmaier 2015-04-07 14:15:34 UTC
closing.
Bluetooth handling has been revamped significantly since the original report (for example it will not enable silently when not enabled already, it will show known devices and not only do bt-scanning and rely on visible devices, etc.
Any remaining problem is different than the original one.